メインコンテンツへスキップ
POST
/
automation
/
v3
/
workflows
curl --request POST \ --url https://api.hubapi.com/automation/v3/workflows \ --header 'Content-Type: application/json' \ --data ' { "name": "Test Workflow", "type": "DRIP_DELAY", "onlyEnrollsManually": true, "actions": [ { "type": "DELAY", "delayMillis": 3600000 }, { "newValue": "HubSpot", "propertyName": "company", "type": "SET_CONTACT_PROPERTY" }, { "type": "WEBHOOK", "url": "https://www.myintegration.com/webhook.php", "method": "POST", "authCreds": { "user": "user", "password": "password" } } ] } '
{
  "id": 123,
  "name": "<string>",
  "type": "<string>",
  "enabled": true
}

ボディ

application/json

Body for creating a workflow

name
string
必須
type
string
actions
object[]

レスポンス

Workflow created successfully

Simplified workflow schema

id
integer
name
string
type
string
enabled
boolean
最終更新日 2026年4月13日